Arch: Armatura

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Rebar Helical.svg Armatura elicoidale Pagina precedente:
Pagina successiva: Piano Arch Floor.svg Arrow-right.svg

Arch Rebar.svg Armatura

Posizione nel menu
Arch → Armatura
Ambiente
Arch
Avvio veloce
R B
Introdotto nella versione
-
Vedere anche
Struttura, Addon Reinforcement


Descrizione

Lo strumento Armatura permette di posizionare delle barre di rinforzo negli oggetti Struttura.

Gli oggetti Armature sono basati su profili 2D come gli schizzi o gli oggetti draft, che devono essere disegnati su una faccia di un oggetto struttura. Dopo la creazione è possibile modificare la configurazione delle armature, come il numero e il diametro delle barre, o la distanza tra le estremità dell'elemento strutturale.

Arch Rebar example.jpg

Oggetto strutturale con due schizzi disegnati sulle sue facce, che vengono poi trasformati in due serie di oggetti armature


Estensione disponibile

Lo strumento Armatura è potenziato dal Reinforcement Addon, che viene installato dal Addon Manager. I tipi di barre di armatura aggiuntivi disponibili con l'addon sono:

Utilizzo

  1. Creare un elemento Arch Structure.svg Struttura.
  2. Passare nell'ambiente Sketcher.
  3. Selezionare una faccia dell'elemento strutturale.
  4. Premere il pulsante Sketcher NewSketch.svg Crea uno schizzo per iniziare un nuovo schizzo sulla faccia selezionata.
  5. Disegnare la sagoma dell'armatura.
  6. Premere il pulsante Sketcher LeaveSketch.svg Esci per terminare lo schizzo.
  7. Passare nel modulo Arch.
  8. Selezionare lo schizzo appena disegnato.
  9. Premere il pulsante Arch Rebar.svg Armatura, o i tasti R poi B.
  10. Regolare le proprietà desiderate. Se qualcuna delle proprietà crea una situazione impossibile, l'armatura potrebbe non apparire immediatamente, ad esempio, se il diametro del tondino è 0, o se la lunghezza offset è maggiore della lunghezza dell'elemento struttura.

Anche se normalmente all'interno di una struttura di Arch viene utilizzata una barra d'armatura, da FreeCAD 0.19 l'armatura può essere creata al di fuori di qualsiasi oggetto ospite. Per ospitare una barra di armatura all'interno di un oggetto, basta impostare la sua proprietà DATAHost.

Opzioni

  • Gli elementi Armatura condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Il valore del raggio di piega viene espresso in n volte il diametro. Se la barra ha un diametro di 5 mm, un valore del raggio di piega 3 crea una curva con il raggio di 15 mm.
  • I valori di default per le nuove armature possono essere impostati nelle preferenze di Arch.
  • Se non è specificato un vettore di direzione, la direzione e la distanza lungo la quale le barre si propagano vengono calcolate automaticamente dall'oggetto strutturale ospitante, utilizzando la direzione normale al disegno di base, e incassandolo nell'oggetto struttura. Se si specifica un vettore di direzione, viene anche presa in considerazione la lunghezza di questo vettore.
  • La distanza viene calcolata secondo la quantità corrente di barre, e rappresenta la distanza tra gli assi delle barre. Quindi, per avere la dimensione dello spazio libero tra le barre è necessario sottrarre il diametro della barra.

Proprietà

  • DatiAmount: La quantità di barre.
  • DatiDiameter: Il diametro delle barre.
  • DatiDirection: La direzione (e lunghezza) lungo la quale le barre devono essere distribuite. Se il valore è (0,0,0), la direzione viene calcolata derivandola automaticamente dall'oggetto strutturale ospitante.
  • DatiOffset Start: La distanza di offset tra il bordo dell'oggetto strutturale e la prima barra.
  • DatiOffset End: La distanza di offset tra il bordo dell'oggetto strutturale e l'ultima barra.
  • DatiRounding: Un valore piega da applicare agli angoli delle barre, espresso in volte il diametro.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Armatura può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Crea un oggetto Rebar dal baseobj dato, che è una Struttura, e da uno sketch come profilo.
    • diameter, amount, e offset sono usati per definire le caratteristiche delle barre.
    • Se non viene fornito nessun valore per diameter, amount, o offset, sono utilizzati i valori di default definiti nelle Preferenze di Arch.

Esempio:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Rebar Helical.svg Armatura elicoidale Pagina precedente:
Pagina successiva: Piano Arch Floor.svg Arrow-right.svg